com.google.gwt.debug.client

## Class DebugInfo

- java.lang.Object
- - com.google.gwt.debug.client.DebugInfo

    public class DebugInfo
    extends java.lang.Object

Provides low-level functionality to support the creation of testing and diagnostic frameworks.

See Also:
  `UIObject.ensureDebugId(String)`

### Property Summary

All Methods Static Methods Concrete Methods
`static boolean` `isDebugIdAs` Gets the value of the property debugIdAsProperty.

### Field Summary

Fields
`static java.lang.String` `DEFAULT_DEBUG_ID_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`DebugInfo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getDebugIdAttribute()` Returns the element attribute or property where the debug ID is set.
`static java.lang.String` `getDebugIdPrefix()` Returns the prefix string used for debug ids.
`static boolean` `isDebugIdAsProperty()` Gets the value of the property debugIdAsProperty.
`static boolean` `isDebugIdEnabled()` Returns true if debug IDs are enabled such that calls to `UIObject.ensureDebugId(String)` will set DOM IDs on the `UIObject` and its important sub elements.
`static void` `setDebugIdAttribute(java.lang.String attribute, boolean asProperty)` Sets the element attribute to assign the debug ID.
`static void` `setDebugIdPrefix(java.lang.String prefix)` Sets the prefix string used for debug IDs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Property Detail

#### isDebugIdAs

    public static boolean isDebugIdAsProperty

Gets the value of the property debugIdAsProperty.

### Field Detail

#### DEFAULT_DEBUG_ID_PREFIX

    public static final java.lang.String DEFAULT_DEBUG_ID_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### DebugInfo

    public DebugInfo()

### Method Detail

#### getDebugIdAttribute

    public static java.lang.String getDebugIdAttribute()

Returns the element attribute or property where the debug ID is set. Defaults to the element id property. Use `isDebugIdAsProperty()` to determine if the value is a property or attribute.

#### getDebugIdPrefix

    public static java.lang.String getDebugIdPrefix()

Returns the prefix string used for debug ids. Defaults to "gwt-debug-".

#### isDebugIdAsProperty

    public static boolean isDebugIdAsProperty()

Gets the value of the property debugIdAsProperty.

#### isDebugIdEnabled

    public static boolean isDebugIdEnabled()

Returns true if debug IDs are enabled such that calls to `UIObject.ensureDebugId(String)` will set DOM IDs on the `UIObject` and its important sub elements.

Returns:
  true if debug IDs are enabled, false if disabled.
See Also:
  `UIObject.ensureDebugId(String)`

#### setDebugIdAttribute

    public static void setDebugIdAttribute(java.lang.String attribute,
                                           boolean asProperty)

Sets the element attribute to assign the debug ID.

Parameters:
  `attribute` - an element property
  `asProperty` - true to set the debug ID as a property instead of an attribute

#### setDebugIdPrefix

    public static void setDebugIdPrefix(java.lang.String prefix)

Sets the prefix string used for debug IDs.